@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@300;400;500;600;700&display=swap');

html {
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
    font-family: 'Barlow', sans-serif;
    font-weight: normal;
    font-style: normal;
}

body {
    display: flex;
    flex-direction: column;
    padding: 0;
    align-items: center;
    position: relative;
    margin: 0 auto;
}

/* ------ HEADER -------- */

.header {
    width: 100%;
    min-height: 80px;
    display: flex;
    justify-content: end;
    align-items: center;
    background-color: transparent;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 0%;
    padding: 0 10%;
    left: 50%;
    z-index: 1;
    margin-top: 2.5rem;
}

.header * {
    font-size: 1.2rem;
    color: #ffff;
}

.logo {
    margin-right: auto;
    text-decoration: none;
    color: #ffff;
}

.logo-text,
.logo-text span {
    font-size: 2rem;
    font-weight: 800;
}

.vermelho {
    color: red;
}

.ul-nav {
    display: flex;
    width: 100%;
    justify-content: space-between;
    gap: 3rem;
    list-style: none;
}

.ul-nav a {
    text-decoration: none;
    font-size: 1.4rem;
    font-family: 'IBM Plex Sans', sans-serif;
    transition: 0.3s ease;
}

.ul-nav a:hover {
    color: rgba(255, 255, 255, 0.5);
}

.settings-btn {
    margin-left: 3rem;
    border: none;
    background-color: transparent;
    cursor: pointer;
    color: #ffff;
}

.settings-ico {
    font-size: 1.5rem;
    display: inline-block;
}

.desktop-icon {
    transition: 0.3s ease;
}

.desktop-icon:hover .settings-ico {
    transform: rotate(45deg);
}

/* ====== MAIN ======== */

:root {
    --line-color: #222222;
    --second-color: #e2e2e2;
    --form-color: rgb(57, 57, 206);
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    margin: 0 auto;
    width: 100%;
    margin-bottom: 100px;
}

.hero {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;

    box-shadow: 0px 0px 5px rgba(34, 34, 34, 0.2);
    height: 45rem;
    width: 100%;
}

.hero-text-container {
    justify-content: center;
    flex-direction: column;
    align-items: center;
    display: flex;

    position: absolute;
    color: #ffff;
    z-index: 1;

    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
}

.hero-title {
    font-size: clamp(1.5rem, 1.2rem + 2vw, 35rem);
    white-space: nowrap;
    font-weight: 700;
    margin: 0;
}

.hero-subtitle {
    white-space: nowrap;
    font-size: 1.2rem;
}

.img-banner {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    filter: brightness(50%);
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;

    clip: rect(0, 0, 0, 0);
    clip-path: inset(50%);

    white-space: nowrap;
    border: 0;
}

/* ========= PROBLEMS =========  */

.problems {
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 100px;
    margin-top: 50px;
    max-width: 1180px;
    gap: 1rem;
}

.problems-title {
    font-weight: 600;
    align-self: center;
}

.problems-article {
    justify-content: flex-start;
    align-items: center;
    display: flex;
    border-radius: 5px;
    width: 90%;
    padding: 20px 20px;
    box-shadow: 0px 0px 2px rgba(34, 34, 34, 0.5);
    flex-direction: column;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.problems-article-header {
    justify-content: flex-start;
    align-items: center;
    display: flex;
    border-radius: 5px;
    width: 100%;
    gap: 20px;
}

.problems-article-main {
    text-align: start;
    font-size: 1rem;
    width: 100%;
    overflow: hidden;
    max-height: 0;
    padding-top: 0px;
    transition: max-height .35s ease, padding-top .35s ease;
}

.problems-article-main.active {
    padding-top: 20px;
    max-height: 500px;
    /* maior que o conteúdo */
}

.problems-article-main p {
    margin: 0;
    line-height: 1.7;
}

.problems-article h2 {
    font-size: clamp(0.6rem, 0.4rem + 2vw, 1.2rem);
    text-align: start;
    margin: 0;
}

.problems-article .problems-arrow {
    margin-left: auto;
}

.problems-icon {
    background-color: #222;
    color: #fff;
    min-width: 35px;
    min-height: 35px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}


/* ========= CARD =========  */

.cards {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    margin: 0 auto;
    width: 100%;
}

.card {
    position: relative;
    width: 90%;
    height: clamp(10rem, 40vw, 30rem);
    background: transparent;
    width: 1180px;
}

/* ---------- CARD CONTENT ---------- */

.card-content {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: 100%;
    padding: clamp(1.5rem, 5vw, 7rem);
    background-color: rgba(255, 255, 255, 0.5);
    box-shadow: 0 5px 10px rgba(34, 34, 34, .5);

    transform: translate(-50%, -50%);
}

/* ---------- CARD HEADER ---------- */

.card-header {
    display: flex;
    align-items: center;
    gap: .5rem;
    margin: clamp(.5rem, 1vw, 1rem);
}

.card-header * {
    margin: 0;
    font-weight: 700;
}

.card-number {
    font-size: clamp(5rem, 10vw, 10rem);
}

.card-title {
    display: block;
    margin-top: 1rem;
    font-size: clamp(2rem, 4vw, 4rem);
    line-height: 1;
}

.card-title>span {
    display: block;
}

/* ---------- CARD BODY ---------- */

.card-body {
    width: 40rem;
    margin: auto;
}

.card-body p {
    font-size: clamp(.875rem, 2vw, 1rem);
}

/* ---------- CARD IMAGE ---------- */

.card-image {
    position: absolute;

    top: 47%;
    left: 100%;

    width: 15%;
    height: 75%;

    overflow: hidden;

    transform: translate(-50%, -50%) perspective(1000px) rotateY(-25deg);
    border-radius: 5px;
    border: 1px solid #ffff;
    box-shadow: 10px 10px 10px rgba(92, 92, 92, 0.5);
}

.card-image img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* ---------- VARIATIONS ---------- */

.foundation .card-content {
    top: 40%;
    left: 40%;
    z-index: 3;
}

.mission .card-content {
    top: 30%;
    left: 60%;
    z-index: 2;
    flex-direction: row-reverse;
}

.about .card-content {
    top: 20%;
    left: 40%;
    z-index: 1;
}

.mission .card-image {
    left: -5%;
    transform: translate(-50%, -50%) perspective(1000px) rotateY(25deg);
    box-shadow: -10px 10px 10px rgba(92, 92, 92, 0.5);
}

/* ===== CONTACT ===== */

.contact {
    width: 1180px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 3rem;
    padding-top: 0rem;
}

.contact-content {
    justify-content: space-between;
    align-items: center;
    display: flex;

    padding: 0 15%;
    width: 100%;
    gap: 100px;
}

.contact-left {
    justify-content: space-between;
    flex-direction: column;
    align-items: stretch;
    display: flex;
    min-width: 300px;
    width: 50%;
    gap: 20px;
}

.contact-header {
    flex-direction: column;
    display: flex;
    width: 75%;
    gap: 10px;
}

.contact-title {
    font-size: clamp(1rem, 1rem + 2vw, 1.7rem);
    font-weight: 500;
    color: #fff;
    margin: 0;
}

.contact-title .vermelho {
    font-weight: 500;
}

.contact-description {
    color: rgba(255, 255, 255, 0.5);
    margin: 0;
}

/* ===== FORM CONTATO ===== */

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.contact-input-wrapper {
    border-radius: 5px;
    width: 100%;

    border: 1px solid rgba(255, 255, 255, 0.2);
    background-color: #1a1a1a;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 3rem;
}

/* 
.contact-input-wrapper:focus {
    outline: 1px solid var(--line-color);
} */

.contact-input-wrapper i {
    margin: 0 1rem;
}

.contact-input {
    flex: 1;
    background-color: transparent;
    border: 0;
    color: #fff;
    outline: none;
    font-size: 1rem;
    height: 100%;
}

.contact-submit {
    border-radius: 5px;
    width: 100%;
    border: 1px solid rgba(255, 255, 255, 0.2);
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 3rem;
    cursor: pointer;
    background-color: red;
    color: #ffff;
    font-weight: 600;
    display: flex;
    gap: 10px;
    font-size: 1rem;
}

.wrapper-textarea {
    min-height: 10rem;

    display: flex;
    align-items: flex-start;

    padding: 1rem 0 0;

    border-radius: 5px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    background-color: #1a1a1a;
    color: #fff;
}

.wrapper-textarea i {
    margin: 0 1rem;
    flex-shrink: 0;
    margin-top: .40rem;
}

.contact-textarea {
    flex: 1;
    min-height: 10rem;

    resize: vertical;
    overflow-y: auto;

    border: 0;
    background: transparent;
    outline: none;

    font: inherit;
    color: inherit;

    line-height: 1.6;
}

.contact-security {
    gap: 10px;
    display: flex;
    color: #fff;
    font-size: 1.3rem;
    align-items: center;
    justify-content: flex-start;
}

.contact-security-text {
    margin: 0;
    color: rgba(255, 255, 255, 0.5);
    font-size: 1rem;
}

/* ===== LISTA CONTATO ===== */

.contact-right {
    width: 50%;
}

.contact-info * {
    text-decoration: none;
    list-style: none;
    margin: 0;
}

.contact-info-title {
    font-size: 1.7rem;
    font-weight: 500;
    color: #ffff;
}

.contact-info-bar {
    width: 1px;
    min-width: 1px;
    height: 600px;

    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    display: flex;

    position: relative;

    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    background-color: rgba(255, 255, 255, 0.3);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    border-radius: 16px;
}

.contact-info-bar::before {
    transform: translate(-50%, -50%);
    position: absolute;
    content: "";
    left: 25%;
    top: 40%;

    aspect-ratio: 1;
    width: 10px;

    background: red;
    border-radius: 50%;
}

.contact-info-bar::after {
    content: "";
    position: absolute;
    left: 0%;
    top: 0%;
    transform: translate(-50%, -50%);
    width: 1px;
    min-width: 1px;
    height: 6px;
    background: #7c7c7c;
    border-radius: 50%;
}

.contact-info-content {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.contact-info-list {
    flex-direction: column;
    display: flex;
    padding: 0;
    gap: 3rem;
}

.contact-action {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 0.5rem;
    border: none;
    background-color: transparent;
    font-size: 1.1rem;
    padding: 0;
}

.contact-background-icon {
    justify-content: center;
    align-items: center;
    display: flex;
    background-color: #1a1a1a;

    border-radius: 100%;
    height: 70px;
    width: 70px;
}

.contact-action i {
    font-size: 1.6rem;
}

.contact-action,
.contact-action i {
    transition: 0.3s ease;
    color: #ffff;
}

.contact-action:hover,
.contact-action:hover i {
    color: rgba(255, 255, 255, 0.5);
}

.contact-card {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 5px;
}

.contact-card-value {
    color: rgba(255, 255, 255, 0.5);
}

.copy-button {
    position: relative;
}

.copy-button:hover {
    cursor: pointer;
}

.copy-button:active {
    color: blue;
}

.copy-button:hover::after {
    content: attr(data-tooltip);
    position: absolute;

    left: 70%;
    top: 100%;

    transform: translateX(-50%);
    margin-top: 8px;

    padding: 4px 8px;
    border-radius: 2px;
    background: #222;
    color: white;
    font-size: .8em;
    white-space: nowrap;
}

.support-message {
    border: 1px solid rgba(255, 0, 0, 0.4);
    border-radius: 10px;
    color: #ffff;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80%;
    padding: 2rem;
}

.support-message-box-text {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.support-message i {
    font-size: 5rem;
    margin-right: 1rem;
}

.support-message-title {
    font-weight: 500;
    color: #ffff;
    font-size: clamp(0.6rem, 0.6rem + 2vw, 1.7rem);
    white-space: nowrap;
}

.support-message-value {
    color: rgba(255, 255, 255, 0.5);
    line-height: 1.6;
}


/* ======== FOOTER ========= */

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    width: 100%;
    gap: 50px;
    background-color: #000000;
    border-radius: 50px 50px 0 0;
}

.footer .logo {
    color: #ffff;
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.footer-direct {
    color: rgba(255, 255, 255, 0.5);
}

/* Funções */

.mobile-menu {
    display: none;
}

.mobile-icon {
    display: none;
}

.success-message {
    position: fixed;

    left: 50%;
    bottom: -200px;

    transform: translateX(-50%);

    display: flex;
    align-items: center;
    gap: 1rem;

    padding: 1.2rem 2rem;

    background: #fff;
    color: #222;

    border-radius: 14px;

    box-shadow: 0 15px 40px rgba(0, 0, 0, .2);

    font-size: 1.1rem;
    font-weight: 600;

    z-index: 9999;

    transition: .6s cubic-bezier(.22, 1, .36, 1);
}

.success-message.show {
    bottom: 50%;
    transform: translate(-50%, 50%);
}

.success-message i {
    color: #22c55e;
    font-size: 1.7rem;
}

/* Laptops */
@media (max-width: 1024px) {
    .card {
        width: 100%;
    }

    .card .card-content {
        padding: 0;
    }

    .card .card-image {
        position: static;
        transform: none;
        width: 40%;
        height: 100%;
        margin: 0;
    }

    .mission .card-content,
    .foundation .card-content,
    .about .card-content {
        transform: none;
        position: static;
        gap: 2.5%;
    }

    .contact {
        padding: 3rem 0;
        padding-top: 5rem;
    }

    .contact-content {
        padding: 1rem;
    }
}

/* Tablets */
@media (max-width: 768px) {

    /* ===== HEADER ===== */

    header {
        margin-top: 2rem;
    }

    header nav {
        display: none;
    }

    .hero {
        height: 20rem;
    }

    /* ===== MAIN ===== */

    /* main {
        overflow: visible;
        position: static;
    } */

    /* ===== MOBILE MENU ===== */

    .mobile-menu-header {
        display: flex;
        font-size: 1rem;
        margin: 1.5rem 0;
    }

    .logo-text,
    .logo-text span {
        font-size: 1.2rem;
        font-weight: 800;
    }

    .mobile-menu {
        position: fixed;
        top: 0;
        right: 0;

        width: 100%;
        min-width: 150px;
        height: 40vh;

        background: #222;
        z-index: 99;

        transform: translateY(-100%);
        transition: transform .4s ease;

        border-radius: 0px 0px 10px 10px;

        display: flex;
        flex-direction: column;
        padding: 0.5rem 10%;
    }

    #close-menu {
        font-size: 1rem;
        margin-left: auto;
    }

    .mobile-menu-list {
        display: flex;
        justify-content: flex-end;
        align-items: flex-start;
        margin-top: 2rem;
        flex-direction: column;
        list-style: none;
        text-decoration: none;
        display: flex;
        color: #ffff;
        gap: 3rem;
        padding: 0;
        width: 100%;
    }

    .mobile-menu-list * {
        text-decoration: none;
        list-style: none;
        color: #ffff;
    }

    .mobile-menu-action {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        gap: 0.5rem;
        border: none;
        background-color: transparent;
        font-size: 1rem;
        padding: 0;
    }

    .mobile-menu-action,
    .mobile-menu-action i {
        transition: 0.3s ease;
    }

    .mobile-menu-action:hover,
    .mobile-menu-action:hover i {
        color: rgba(255, 255, 255, 0.5);
    }

    /* ===== CARD ===== */

    .cards {
        gap: 15px;
    }

    .card {
        height: auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    
    .card .card-content {
        flex-direction: column;
        height: auto;
        margin: 0 10px;
        border-radius: 0px 0px 25px 25px;
        box-shadow: 0 15px 10px rgba(34, 34, 34, .3);
    }

    .card .card-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        margin: 3rem 0;
    }

    .card-number {
        font-size: 4rem;
    }

    .card-title {
        display: block;
        margin: 0;
        font-size: clamp(2.6rem, 15vw, 4rem);
        line-height: 1;
    }

    .card-title>span {
        display: block;
        margin: 0;
        padding: 0;
    }

    .card .card-body {
        width: 100%;
    }

    .card .card-body p {
        font-size: 1.5rem;
    }

    .card .card-image {
        height: 250px;
    }

    /* ====================== */

    .foundation .card-content {
        padding: 2rem;
    }

    .foundation .card-image {
        margin-left: auto;
        height: 15rem;
        width: 100%;
        transform: perspective(1000px) rotateY(-25deg);
    }

    /* ========================== */

    .mission .card-content {
        padding: 2rem;
    }

    .mission .card-image {
        margin-right: auto;
        height: 20rem;
        width: 12rem;
    }

    /* ========================== */

    .about .card-content {
        padding: 2rem;
    }

    .about .card-image {
        margin-left: auto;
        height: 15rem;
        width: 100%;
    }

    /* ========================== */

    /* ===== CONTACT ===== */

    .contact-content {
        flex-direction: column;
    }

    .contact-left {
        width: 100%;
    }

    .contact-right {
        width: 100%;
    }


    .contact-right .contact-info {
        flex-direction: column;
    }

    .contact-info-bar {
        align-self: center;
        width: 400px;
        height: 1px;
    }

    .contact-info-bar::after {
        width: 6px;
        height: 1px;
    }

    .support-message {
        width: 100%;
    }

    /* ===== FOOTER ===== */

    .footer {
        border-radius: 25px 25px 0 0;
    }

    /* Funções Mobile */

    .desktop-icon {
        display: none;
    }

    .mobile-icon {
        display: inline-block;
    }

    .mobile-menu.active {
        transform: translateY(0%);
    }

    .success-message {
        width: calc(100% - 2rem);
        justify-content: center;
        text-align: center;
        padding: 1rem;
        font-size: 1rem;
    }
}

/* Celulares */
@media (max-width: 480px) {}